Bug 961962 - Oversized Item List Fails to Scroll
Oversized Item List Fails to Scroll
Status: CLOSED EOL
Product: Fedora
Classification: Fedora
Component: gnome-themes-standard (Show other bugs)
19
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Cosimo Cecchi
Fedora Extras Quality Assurance
: Reopened
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-05-10 16:33 EDT by Dmytro Taranovsky
Modified: 2015-02-18 08:53 EST (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2015-02-18 08:53:33 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Screenshot showing the menu (192.07 KB, image/png)
2013-05-14 23:16 EDT, Dmytro Taranovsky
no flags Details
Screenshot2 showing menu (195.64 KB, image/png)
2013-05-14 23:27 EDT, Dmytro Taranovsky
no flags Details

  None (edit)
Description Dmytro Taranovsky 2013-05-10 16:33:52 EDT
In MATE, when I open System->Preferences menu, the number of items is so large that they do not all fit on the screen, and without using keyboard, I cannot get to items that do not fit.
When I hover the mouse cursor over the arrow at the bottom of the list, the list scrolls down as expected, but when I move the cursor back up to get an item, the list resets as if it has not been scrolled.
Comment 1 Dan Mashal 2013-05-14 23:05:04 EDT
Adjust your screen resolution.
Comment 2 Dan Mashal 2013-05-14 23:05:45 EDT
Well before I say this is "not a bug" what is your screen resolution? And yor second sentence makes a valid point.
Comment 3 Dan Mashal 2013-05-14 23:06:00 EDT
yor/Your*
Comment 4 Dan Mashal 2013-05-14 23:13:44 EDT
Not able to reproduce.
Comment 5 Dmytro Taranovsky 2013-05-14 23:16:05 EDT
Created attachment 748039 [details]
Screenshot showing the menu

I am using 1920x1080 resolution, and the list of items in Preferences is large in part because I have multiple desktop environments installed.  This bug is not about the list being large (though it would be nice if it was smaller), but about scrolling below the last visible item.
Comment 6 Dan Mashal 2013-05-14 23:18:00 EDT
Hmm it could be the AMOUNT of items in that menu. But I just resized a VM to a tiny resolution and I was able to scroll back up. Can you let me know how many items are there, total?
Comment 7 Dmytro Taranovsky 2013-05-14 23:27:27 EDT
Created attachment 748045 [details]
Screenshot2 showing menu

There are 37 items in total.  And when I try moving the mouse cursor back up, it immediately resets to "Qt3 Config" being the last visible item.
Comment 8 Dan Mashal 2013-05-14 23:28:23 EDT
Thanks
Comment 9 Dmytro Taranovsky 2013-05-14 23:57:02 EDT
I just tested different themes, and reproducibility depends on the theme:  The bug happens with Adwaita and Clearlooks but not in Clearlooks Compact or Aladelta (that is the scrolling is normal there).  The difference appears to be that Clearlooks uses more vertical space per item than Clearlooks Compact.
Comment 10 Dan Mashal 2013-05-24 01:31:15 EDT
How about traditional OK Test?
Comment 11 Dmytro Taranovsky 2013-05-24 01:50:18 EDT
(In reply to Dan Mashal from comment #10)
> How about traditional OK Test?

What is "traditional OK Test"?
Comment 12 Dan Mashal 2013-05-24 01:50:55 EDT
A MATE theme. :)
Comment 13 Dmytro Taranovsky 2013-05-24 02:32:26 EDT
TraditionalGreen, TraditionalOk, and TraditionalOkTest seem to work correctly.  Also, sometimes it works correctly with all themes, but I have not been able to figure out the pattern.
Comment 14 Dan Mashal 2013-05-27 15:44:32 EDT
Interesting. Yes I installed LXDE off a multilive CD and then MATE and I had 33 items in the list. When you can get the problem to happen again can you check .xsession-errors?
Comment 15 Dmytro Taranovsky 2013-05-28 20:03:08 EDT
I do not have anything recent in ~/.xsession-errors.  Also, for the last few days, the bug appeared consistently.  One thing I noticed, however, is that the bug happens only with "Main Menu" (from the Add to Panel item list) and not with "Menu Bar".
Comment 16 Wolfgang Ulbrich 2013-08-03 20:44:22 EDT
(In reply to Dmytro Taranovsky from comment #13)
> TraditionalGreen, TraditionalOk, and TraditionalOkTest seem to work
> correctly.  Also, sometimes it works correctly with all themes, but I have
> not been able to figure out the pattern.

(In reply to Dmytro Taranovsky from comment #9)
> I just tested different themes, and reproducibility depends on the theme: 
> The bug happens with Adwaita and Clearlooks but not in Clearlooks Compact or
> Aladelta (that is the scrolling is normal there).  The difference appears to
> be that Clearlooks uses more vertical space per item than Clearlooks Compact.

Adwaita and Clearlooks aren't MATE themes.
Comment 17 Fedora End Of Life 2015-01-09 17:06:56 EST
This message is a notice that Fedora 19 is now at end of life. Fedora 
has stopped maintaining and issuing updates for Fedora 19. It is 
Fedora's policy to close all bug reports from releases that are no 
longer maintained. Approximately 4 (four) weeks from now this bug will
be closed as EOL if it remains open with a Fedora 'version' of '19'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 19 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 18 Fedora End Of Life 2015-02-18 08:53:33 EST
Fedora 19 changed to end-of-life (EOL) status on 2015-01-06. Fedora 19 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.